services:
  web-dev:
    build:
      context: .
      target: dev
    ports:
      - "3000:3000"
    env_file:
      - .env.local
    volumes:
      - .:/app
      - web_node_modules:/app/node_modules
      - web_next_cache:/app/.next

  web-prod:
    build:
      context: .
      target: runner
    ports:
      - "3000:3000"
    env_file:
      - .env.local

volumes:
  web_node_modules:
  web_next_cache:

